Subject: Re: WAS ( Re: [PATCH net-next 1/1] net_sched: Introduce skbmod action

From: Daniel Borkmann <[email-masked]>
Date: Thu, 21 Jul 2016 16:42:40 +0200

On 07/21/2016 09:27 AM, Jamal Hadi Salim wrote:
[...]
> Forgot about csum which would work with pedit - didnt quiet parse what
> you are saying above though:
> does changing MAC address require changing to CHECKSUM_NONE? If yes,
> then seems like i need to send a patch for act_ife as well to make in
> the spirit of mirred?

Hmm, seems fine actually up to ETH_HLEN. In cases like vlan or mpls
modifications there's certainly a correction, but when going into rx
path this is pulled out already of the calculation afaik (see f.e.
dev_forward_skb()). So when mirred pushes this back in via skb_push_rcsum()
and dev_forward_skb() back out, it should be okay if I see this correctly.
But don't you still something like need skb_try_make_writable()?